# Get payments by batchId Endpoint: GET /api/v3/payments/{companyId}/batches/{batchId}/transactions Version: v3 Security: client_credentials, implicit, client_credentials_dev, implicit_dev ## Path parameters: - `companyId` (string, required) Unique Guid for company - `batchId` (string, required) Unique Guid for the batch ## Query parameters: - `skip` (integer) Number of entries to skip - `take` (integer) Number of entries to return ## Response 200 fields (text/plain): - `payments` (array, required) Transactions - `payments.paymentId` (string) - `payments.sourceReference` (string,null) - `payments.status` (integer) TransactionState * 0 - Submitted * 1 - Queued for approval * 2 - Dismissed by user * 3 - Ready for transfer * 4 - Pending bank * 5 - Rejected by bank * 6 - Accepted bank * 7 - Completed * 8 - Dismissed by ZData Enum: 0, 1, 2, 3, 4, 5, 6, 7, 8 - `payments.executionDate` (string) - `payments.message` (string,null) - `payments.links` (array,null) - `payments.links.rel` (string,null) - `payments.links.method` (string,null) - `payments.links.href` (string,null) - `total` (integer, required) ## Response 401 fields ## Response 404 fields